import 'package:flutter/material.dart';
import 'package:plugin_basic/basic_export.dart';

class SignUpState {
  //表单的校验与数据
  Map<String, Map<String, dynamic>> formData = {
    'email': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Please enter your email'.tr,
      'obsecure': false,
    },
    'password': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Please enter your password'.tr,
      'obsecure': true,
    },
    'confirm_password': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Please enter confirm password'.tr,
      'obsecure': true,
    },
  };

  //表单的错误信息展示
  String? emailErrorText;
  String? passwordErrorText;
  String? confirmPasswordErrorText;

  //待提交的数据
  String? email;
  String? password;
  String? confirmPassword;

}
