import 'package:domain/entity/response/job_list_detail_entity.dart';
import 'package:flutter/material.dart';
import 'package:plugin_basic/basic_export.dart';

class JobListDetailState {

  String? jobId;  //编辑和详情需要用到ID

  //页面对应的详情数据
  JobListDetailEntity? jobListDetail;

  //页面对应的选择的条件
  String? selectedJobTitle;
  String? selectedStartTime;
  String? selectedEndTime;
  String? selectedDepartmentId;
  String? noStaff;  //成员数量

  //表单的校验与数据
  Map<String, Map<String, dynamic>> formData = {
    'no_of_staff': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter No. of Staff'.tr,
      'obsecure': false,
    },
  };

}
