import 'package:domain/entity/response/labour_request_edit_index_entity.dart';
import 'package:flutter/material.dart';
import 'package:plugin_basic/basic_export.dart';

class LabourRequestAddState {

  int pageType = 0;  //页面的状态 0 是新增  1是编辑  2是详情
  String? appliedId;  //编辑和详情需要用到ID

  //页面对应的详情数据
  LabourRequestEditIndexEntity? labReqOption;

  //页面对应的选择的条件
  DateTime? selectedStartTime;
  DateTime? selectedEndTime;
  String? selectedTemplateId;
  String? selectedDepartmentId;
  String? noStaff;  //成员数量

  String? chargeOptionId;

  //表单的校验与数据
  Map<String, Map<String, dynamic>> formData = {
    'no_of_staff': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter No. of Staff'.tr,
      'obsecure': false,
    },
    'amount': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter Amount'.tr,
      'obsecure': false,
    },
  };

}
