import 'package:domain/entity/response/labour_request_s_g_add_index_entity.dart';
import 'package:domain/entity/response/labour_request_s_g_edit_index_entity.dart';
import 'package:flutter/material.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:shared/utils/date_time_utils.dart';

class LabourRequestEditState {
  //表单的校验与数据
  Map<String, Map<String, dynamic>> formData = {
    'need_male': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Needs Num'.tr,
      'obsecure': false,
    },
    'need_female': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Needs Num'.tr,
      'obsecure': false,
    },
    'need_no': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Needs Num'.tr,
      'obsecure': false,
    },
    'remark': {
      'value': '',
      'controller': TextEditingController(),
      'focusNode': FocusNode(),
      'hintText': 'Enter...'.tr,
      'obsecure': false,
    },
  };

  int pageType = 2;  //页面的状态 1是编辑  2是详情
  String? requestId;  //编辑和详情需要用到ID
  void Function(dynamic value)? cb;

  List<String> genderOptions = ["Gender Unlimited".tr, "Gender Limited".tr];
  int genderOptionType = 0;  //使用哪一种类型限制

  LabourRequestSGAddIndexEntity? indexEntity;
  LabourRequestSGEditIndexEntity? editIndexEntity;

  String? selectedJobTitle;
  String? selectedJobTitleId;

  DateTime? selectedStartTime;
  DateTime? selectedEndTime;

  String? selectedOutlet;
  String? selectedOutletId;

  String? selectRequestTypeId;
}
