import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_remark_view_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_remark_view_entity.g.dart';

@JsonSerializable()
class JobListRemarkViewEntity {
  @JSONField(name: "applied_id")
  int appliedId = 0;
  @JSONField(name: "member_name")
  String? memberName = null;
  @JSONField(name: "attitude_rate")
  double attitudeRate = 5.0;
  @JSONField(name: "grooming_rate")
  double groomingRate = 5.0;
  @JSONField(name: "performance_rate")
  double performanceRate = 5.0;
  @JSONField(name: "experience_rate")
  double experienceRate = 5.0;
  String? content = null;
  String? disabled = null;

  JobListRemarkViewEntity();

  factory JobListRemarkViewEntity.fromJson(Map<String, dynamic> json) => $JobListRemarkViewEntityFromJson(json);

  Map<String, dynamic> toJson() => $JobListRemarkViewEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
