import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_request_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_request_s_g_entity.g.dart';

@JsonSerializable()
class LabourRequestSGEntity {
	@JSONField(name: "count_list")
	List<LabourRequestSGCountList> countList = [];

	LabourRequestSGEntity();

	factory LabourRequestSGEntity.fromJson(Map<String, dynamic> json) => $LabourRequestSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourRequestSGCountList {
	String? date = null;
	String? week = null;
	bool today = false;
	@JSONField(name: "real_num")
	int realNum = 0;
	@JSONField(name: "hiring_num")
	int hiringNum = 0;

	LabourRequestSGCountList();

	factory LabourRequestSGCountList.fromJson(Map<String, dynamic> json) => $LabourRequestSGCountListFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestSGCountListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}