import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/response/labour_request_s_g_entity.dart';

LabourRequestSGEntity $LabourRequestSGEntityFromJson(Map<String, dynamic> json) {
  final LabourRequestSGEntity labourRequestSGEntity = LabourRequestSGEntity();
  final List<LabourRequestSGCountList>? countList = (json['count_list'] as List<dynamic>?)?.map(
          (e) => jsonConvert.convert<LabourRequestSGCountList>(e) as LabourRequestSGCountList).toList();
  if (countList != null) {
    labourRequestSGEntity.countList = countList;
  }
  return labourRequestSGEntity;
}

Map<String, dynamic> $LabourRequestSGEntityToJson(LabourRequestSGEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['count_list'] = entity.countList.map((v) => v.toJson()).toList();
  return data;
}

extension LabourRequestSGEntityExtension on LabourRequestSGEntity {
  LabourRequestSGEntity copyWith({
    List<LabourRequestSGCountList>? countList,
  }) {
    return LabourRequestSGEntity()
      ..countList = countList ?? this.countList;
  }
}

LabourRequestSGCountList $LabourRequestSGCountListFromJson(Map<String, dynamic> json) {
  final LabourRequestSGCountList labourRequestSGCountList = LabourRequestSGCountList();
  final String? date = jsonConvert.convert<String>(json['date']);
  if (date != null) {
    labourRequestSGCountList.date = date;
  }
  final String? week = jsonConvert.convert<String>(json['week']);
  if (week != null) {
    labourRequestSGCountList.week = week;
  }
  final bool? today = jsonConvert.convert<bool>(json['today']);
  if (today != null) {
    labourRequestSGCountList.today = today;
  }
  final int? realNum = jsonConvert.convert<int>(json['real_num']);
  if (realNum != null) {
    labourRequestSGCountList.realNum = realNum;
  }
  final int? hiringNum = jsonConvert.convert<int>(json['hiring_num']);
  if (hiringNum != null) {
    labourRequestSGCountList.hiringNum = hiringNum;
  }
  return labourRequestSGCountList;
}

Map<String, dynamic> $LabourRequestSGCountListToJson(LabourRequestSGCountList entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['date'] = entity.date;
  data['week'] = entity.week;
  data['today'] = entity.today;
  data['real_num'] = entity.realNum;
  data['hiring_num'] = entity.hiringNum;
  return data;
}

extension LabourRequestSGCountListExtension on LabourRequestSGCountList {
  LabourRequestSGCountList copyWith({
    String? date,
    String? week,
    bool? today,
    int? realNum,
    int? hiringNum,
  }) {
    return LabourRequestSGCountList()
      ..date = date ?? this.date
      ..week = week ?? this.week
      ..today = today ?? this.today
      ..realNum = realNum ?? this.realNum
      ..hiringNum = hiringNum ?? this.hiringNum;
  }
}