import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/response/labour_request_s_g_list_entity.dart';

LabourRequestSGListEntity $LabourRequestSGListEntityFromJson(Map<String, dynamic> json) {
  final LabourRequestSGListEntity labourRequestSGListEntity = LabourRequestSGListEntity();
  final int? total = jsonConvert.convert<int>(json['total']);
  if (total != null) {
    labourRequestSGListEntity.total = total;
  }
  final List<LabourRequestSGListRows>? rows = (json['rows'] as List<dynamic>?)?.map(
          (e) => jsonConvert.convert<LabourRequestSGListRows>(e) as LabourRequestSGListRows).toList();
  if (rows != null) {
    labourRequestSGListEntity.rows = rows;
  }
  return labourRequestSGListEntity;
}

Map<String, dynamic> $LabourRequestSGListEntityToJson(LabourRequestSGListEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['total'] = entity.total;
  data['rows'] = entity.rows?.map((v) => v.toJson()).toList();
  return data;
}

extension LabourRequestSGListEntityExtension on LabourRequestSGListEntity {
  LabourRequestSGListEntity copyWith({
    int? total,
    List<LabourRequestSGListRows>? rows,
  }) {
    return LabourRequestSGListEntity()
      ..total = total ?? this.total
      ..rows = rows ?? this.rows;
  }
}

LabourRequestSGListRows $LabourRequestSGListRowsFromJson(Map<String, dynamic> json) {
  final LabourRequestSGListRows labourRequestSGListRows = LabourRequestSGListRows();
  final String? requestId = jsonConvert.convert<String>(json['request_id']);
  if (requestId != null) {
    labourRequestSGListRows.requestId = requestId;
  }
  final String? outletName = jsonConvert.convert<String>(json['outlet_name']);
  if (outletName != null) {
    labourRequestSGListRows.outletName = outletName;
  }
  final String? jobTitle = jsonConvert.convert<String>(json['job_title']);
  if (jobTitle != null) {
    labourRequestSGListRows.jobTitle = jobTitle;
  }
  final int? needNum = jsonConvert.convert<int>(json['need_num']);
  if (needNum != null) {
    labourRequestSGListRows.needNum = needNum;
  }
  final String? jobDate = jsonConvert.convert<String>(json['job_date']);
  if (jobDate != null) {
    labourRequestSGListRows.jobDate = jobDate;
  }
  final String? startTime = jsonConvert.convert<String>(json['start_time']);
  if (startTime != null) {
    labourRequestSGListRows.startTime = startTime;
  }
  final String? endTime = jsonConvert.convert<String>(json['end_time']);
  if (endTime != null) {
    labourRequestSGListRows.endTime = endTime;
  }
  final String? status = jsonConvert.convert<String>(json['status']);
  if (status != null) {
    labourRequestSGListRows.status = status;
  }
  final String? statusShow = jsonConvert.convert<String>(json['status_show']);
  if (statusShow != null) {
    labourRequestSGListRows.statusShow = statusShow;
  }
  final String? createdAt = jsonConvert.convert<String>(json['created_at']);
  if (createdAt != null) {
    labourRequestSGListRows.createdAt = createdAt;
  }
  final List<String>? actionList = (json['action_list'] as List<dynamic>?)?.map(
          (e) => jsonConvert.convert<String>(e) as String).toList();
  if (actionList != null) {
    labourRequestSGListRows.actionList = actionList;
  }
  return labourRequestSGListRows;
}

Map<String, dynamic> $LabourRequestSGListRowsToJson(LabourRequestSGListRows entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['request_id'] = entity.requestId;
  data['outlet_name'] = entity.outletName;
  data['job_title'] = entity.jobTitle;
  data['need_num'] = entity.needNum;
  data['job_date'] = entity.jobDate;
  data['start_time'] = entity.startTime;
  data['end_time'] = entity.endTime;
  data['status'] = entity.status;
  data['status_show'] = entity.statusShow;
  data['created_at'] = entity.createdAt;
  data['action_list'] = entity.actionList;
  return data;
}

extension LabourRequestSGListRowsExtension on LabourRequestSGListRows {
  LabourRequestSGListRows copyWith({
    String? requestId,
    String? outletName,
    String? jobTitle,
    int? needNum,
    String? jobDate,
    String? startTime,
    String? endTime,
    String? status,
    String? statusShow,
    String? createdAt,
    List<String>? actionList,
  }) {
    return LabourRequestSGListRows()
      ..requestId = requestId ?? this.requestId
      ..outletName = outletName ?? this.outletName
      ..jobTitle = jobTitle ?? this.jobTitle
      ..needNum = needNum ?? this.needNum
      ..jobDate = jobDate ?? this.jobDate
      ..startTime = startTime ?? this.startTime
      ..endTime = endTime ?? this.endTime
      ..status = status ?? this.status
      ..statusShow = statusShow ?? this.statusShow
      ..createdAt = createdAt ?? this.createdAt
      ..actionList = actionList ?? this.actionList;
  }
}