const Map<String, String> vi_VN = {
  "YY Employer": "YY Employer",
  "Please enter your password": "Vui lòng nhập mật khẩu của bạn",
  "The login code cannot be empty!": "Mã đăng nhập không được để trống!",
  "The password cannot be empty!": "Mật khẩu không được để trống!",
  "The new password cannot be empty!": "Mật khẩu mới không được để trống!",
  "Log in": "Đăng nhập",
  "Password": "Mật khẩu",
  "Email": "Email",
  "Name/Mobile": "Tên / Số điện thoại",
  "Check In": "Đăng ký vào",
  "Check Out": "Đăng ký ra",
  "Job Date": "Ngày làm việc",
  "Start Time:": "Thời gian bắt đầu:",
  "End Time:": "Thời gian kết thúc:",
  "Start Time": "Thời gian bắt đầu",
  "End Time": "Thời gian kết thúc",
  "Name:": "Tên:",
  "Reset": "Cài lại",
  "Start Date": "Ngày bắt đầu",
  "End Date": "Ngày kết thúc",
  "Cancel": "Huỷ",
  "Confirm": "Xác nhận",
  "Sign Here": "Ký tại đây",
  "Clean": "Làm sạch",
  "Vietnam": "Việt Nam",
  "Sign in/Sign out": "Đăng nhập/ Đăng xuất",
  "Admin": "Quản trị viên",
  "Don’t have an account?": "Bạn chưa có tài khoản?",
  "Sign up": "Đăng ký",
  "Confirm Password": "Xác nhận mật khẩu",
  "Please enter your email": "Vui lòng nhập email của bạn",
  "Please enter confirm password": "Vui lòng nhập xác nhận mật khẩu",
  "Submit": "Nộp",
  "The email cannot be empty!": "Email không được để trống!",
  "The confirm password cannot be empty!": "Mật khẩu xác nhận không được để trống!",
  "Please confirm your confirmed password!": "Vui lòng xác nhận mật khẩu đã được xác nhận của bạn!",
  "Reset Password": "Đặt lại mật khẩu",
  "New Password": "Mật khẩu mới",
  "Please enter your new password": "Vui lòng nhập mật khẩu mới của bạn",
  "Labour Request": "Yêu cầu lao động",
  "Job List": "Danh sách việc làm",
  "Sign in Sign out": "Đăng nhập/ Đăng xuất",
  "Devices": "Thiết bị",
  "Labour Request Review": "Xem xét yêu cầu lao động",
  "Attendance Review": "Đánh giá điểm danh",
  "Default Job Title": "Chức danh công việc mặc định",
  "Report": "Báo cáo",
  "Confirmation": "Sự xác nhận",
  "Notice": "Lời báo trước",
  "Are you sure you need to exit the system?": "Bạn có chắc chắn cần thoát khỏi hệ thống không?",
  "Are you sure you want to deactivate your account? You will not be able to login into the app once you proceed with the request.":
  "Bạn có chắc chắn muốn hủy kích hoạt tài khoản của mình không? Bạn sẽ không thể đăng nhập vào ứng dụng sau khi tiếp tục yêu cầu.",
  "Welcome": "Chào mừng",
  "Switch Projects": "Chuyển đổi dự án",
  "Account Deactivation": "Vô hiệu hóa tài khoản",
  "Logout": "Đăng xuất",
  "Old Password": "Mật khẩu cũ",
  "Settings": "Cài đặt",
  "Title": "Tiêu đề",
  "Create New Job Request": "Tạo yêu cầu công việc mới",
  "Outlet": "Bộ phận",
  "Status": "Trạng thái",
  "Filter": "Lọc",
  "Edit": "Biên tập",
  "Recall": "Triệu hồi",
  "Detail": "Chi tiết",
  "Outlet:": "Bộ phận:",
  "DateTime:": "Ngày Giờ:",
  "No. of Staff:": "Số nhân viên:",
  "Status:": "Trạng thái:",
  "Publish Status:": "Trạng thái xuất bản:",
  "Created At:": "Được tạo tại:",
  "Published": "Được phát hành",
  "Unpublished": "Chưa được xuất bản",
  "Choose Outlet": "Chọn bộ phận",
  "Choose Status": "Chọn trạng thái",
  "Choose Job Title": "Chọn chức danh công việc",
  "Job Title": "Chức danh công việc",
  "Job Start Time": "Thời gian bắt đầu công việc",
  "Job End Time": "Thời gian kết thúc công việc",
  "No. of Staff": "Số nhân viên:",
  "Enter No. of Staff": "Nhập số lượng nhân viên",
  "Choose Start Date": "Chọn ngày bắt đầu",
  "Choose End Date": "Chọn ngày kết thúc",
  "Add Labour Requisition": "Thêm yêu cầu tuyển dụng lao động",
  "Edit Labour Requisition": "Chỉnh sửa yêu cầu tuyển dụng lao động",
  "Labour Requisition": "Trưng dụng lao động",
  "Message": "Tin nhắn",
  "Are you sure you want to recall?": "Bạn có chắc chắn muốn nhớ lại không?",
  "Workflow": "Quy trình làm việc",
  "Remark:": "Nhận xét:",
  "Audit Time:": "Thời gian kiểm toán:",
  "Operator:": "Nhà điều hành:",
  "Designation:": "Chỉ định:",
  "Type:": "Kiểu:",
  "Node:": "Nút:",
  "Approved": "Đã duyệt",
  "Pending": "Chưa giải quyết",
  "Rejected": "Bị loại bỏ",
  "Completed": "Hoàn thành",
  "Active": "Tích cực",
  "Cancelled": "Đã hủy",
  "Revised": "Đã chỉnh sửa",
  "Job Detail": "Chi tiết công việc",
  "Add Staff": "Thêm nhân viên",
  "Remarks": "Bình luận",
  "Applied At:": "Áp dụng tại:",
  "Total Rooms:": "Tổng số phòng:",
  "Total Hours:": "Tổng số giờ:",
  "+/- Hours:": "+/- Giờ:",
  "Security Out:": "Bảo vệ ký ra:",
  "Work Out:": "Giờ làm việc ra:",
  "Work In:": "Giờ làm việc vào:",
  "Security In:": "Bảo vệ ký vào:",
  "Staff Name:": "Tên nhân viên:",
  "Staff Name": "Tên nhân viên:",
  "Work Out": "Giờ làm việc ra",
  "Work In": "Giờ làm việc vào",
  "Security In": "Bảo vệ ký vào",
  "Security Out": "Bảo vệ ký ra",
  "+/- Hours": "+/- Giờ:",
  "Total Rooms": "Tổng số phòng",
  "Operation Approve": "Phê duyệt vận hành",
  "Batch Modify": "Sửa đổi hàng loạt",
  "Please select the applied record": "Vui lòng chọn hồ sơ áp dụng",
  "Are you sure you want to setting approved?": "Bạn có chắc chắn muốn cài đặt được phê duyệt không?",
  "Attitude": "Thái độ",
  "Performance": "Hiệu suất thể hiện",
  "Experience": "Kinh nghiệm",
  "Grooming": "Dáng vẻ bên ngoài",
  "Enter...": "Nhập vào...",
  "Please Enter Remark": "Vui lòng nhập nhận xét",
  "Choose Staff": "Chọn nhân viên",
  "Reason": "Lý do",
  "None": "Không có",
  "Forgot to clock in/out": "Quên bấm giờ vào/ra",
  "Technical issue": "Vấn đề kỹ thuật",
  "Others": "Những cái khác",
  "Staff Detail": "Chi tiết nhân viên",
  'Staff Name/ID/Phone': 'Tên nhân viên/ID/Số điện thoại',
  'Select Country': 'Chọn quốc gia',
  'Browse jobs available in your selected country.': 'Duyệt các công việc có sẵn ở quốc gia đã chọn',
  'Next': 'Tiếp theo',
  'Singapore': 'Singapore',
  'Revise List': 'Danh sách sửa đổi',
  'Device List': 'Danh sách thiết bị',
  'Device MAC:': 'Thiết bị Địa chỉ Mac:',
  'Device Alias:': 'Bí danh thiết bị:',
  'Location:': 'Địa điểm:',
  'Alive State:': 'Tình trạng trực tuyến:',
  'Offline': 'Ngoại tuyến',
  'Online': 'Trực tuyến',
  'Sort': 'Sắp xếp',
  'Template': 'Mẫu',
  'Updated At': 'Thời gian cập nhật',
  'Add New': 'Thêm mới',
  'Template Setting': 'Thiết lập mẫu',
  'Enter Job Title': 'Nhập tên công việc',
  'Template Name': 'Tên mẫu',
  'Contact': 'Liên hệ',
  'Note': 'Lưu ý',
  'Delete': 'Xoá',
  'Are you sure you want to delete this job title?': 'Bạn có chắc chắn muốn xóa bài đăng này?',
  'Are you sure you want to delete this job template?': 'Bạn có chắc chắn muốn xóa template này?',
  'Age': 'Tuổi',
  'Gender': 'Giới tính',
  'Preferred Language': 'Ngôn ngữ ưa thích',
  'Food Hygiene Cert': 'Giấy chứng nhận vệ sinh thực phẩm',
  'Yes': 'Vâng.',
  'No': 'Không',
  'Description': 'Mô tả',
  'Contact No': 'Số điện thoại',
  'Create Template': 'Tạo mẫu',
  'Edit Template': 'Sửa mẫu',
  'Both': 'Cả hai',
  'Male': 'Việt',
  'Female': 'Phụ nữ',
  'English': 'Tiếng Việt',
  'Chinese': 'Trung Quốc',
  'Malay': 'Tiếng Việt',
  'Tamil': 'Thái Lan',
  'Hindi': 'Tiếng Hindi',
  'Select Job Title': 'Chọn vị trí',
  'Select Job Start Time': 'Chọn thời gian bắt đầu công việc',
  'Select Job End Time': 'Chọn thời gian kết thúc công việc',
  'Enter No. of Staff of The Corresponding Gender': 'Nhập số lượng nhân viên cần giới tính tương ứng',
  'Select Date': 'Chọn ngày',
  'Date': 'Ngày',
  'Job Time': 'Thời gian làm việc',
  'Repeat': 'Lặp lại',
  'Repeat Start Time': 'Lặp lại thời gian bắt đầu',
  'Repeat End Time': 'Lặp lại thời gian kết thúc',
  'Gender Unlimited': 'Giới tính Không giới hạn',
  'Gender Limited': 'Giới tính giới hạn',
  'Needs Num': 'Số lượng cần thiết',
  'Request Type': 'Loại yêu cầu',
  'Remark': 'Ghi chú',
  'Are you sure you want to cancel this job?': 'Bạn có chắc chắn muốn hủy bỏ công việc này?',
  'Are you sure you want to delete this job?': 'Bạn có chắc chắn muốn xóa công việc này?',
  'Are you sure you want to confirm this job?': 'Bạn có chắc chắn muốn xác nhận công việc này?',
  'Create New Job': 'Tạo công việc mới',
  'Search': 'Tìm kiếm',
  'Send E-Attendance': 'Gửi chấm công điện tử',
  'Nric': 'Chứng minh thư',
  'Name / Nric': 'Tên / Thẻ căn cước',
  'Add Staff - Choose Staff': 'Thêm nhân viên - Chọn nhân viên',
  'Are you sure you want to send the e-attendance to agency?': 'Bạn có chắc chắn muốn gửi E-Attendance cho một đại lý?',
  'Work Clock In': 'Nơi làm việc Đăng ký',
  'Work Clock Out': 'Kiểm tra tại nơi làm việc',
  'Security Clock In': 'Người gác cổng đã ký',
  'Security Clock Out': 'Kiểm tra cửa',
  'Applied': 'Đã thông qua',
  'No Show': 'No Show',
  'Modify': 'Sửa đổi',
  'Subtract Hours': 'Trừ giờ',
  'Hourly Rate': 'Giá theo giờ',
  'Reviews': 'Bình luận',
  'Mobile': 'Điện thoại',
  'Staff Reviews': 'Đánh giá nhân viên',
  'Revise Hours': 'Giờ sửa đổi',
  'Are you sure you want to recall this revise?': 'Anh có chắc là anh muốn rút hồ sơ sửa đổi này không??',
  'Are you sure you want to delete this revise?': 'Bạn có chắc chắn muốn xóa bản ghi sửa đổi này?',
  'Logs': 'Đăng nhập',
  'Date Time': 'Ngày giờ',
  'Action': 'Sự kiện',
  'Content': 'Nội dung',
  'Revise': 'Sửa đổi',
  'Add Revise': 'Thêm sửa đổi',
  'Edit Revise': 'Sửa đổi',
  'Incomplete': 'Không đầy đủ',
  'Completed + Incomplete': 'Hoàn thành + Không đầy đủ',
  'YY Casual Labour Report': 'Báo cáo tạm thời YY',
  'TotalAmt': 'Tổng số tiền',
  'Hours': 'Giờ',
  'Monthly Staff Request Report': 'Báo cáo nhu cầu nhân viên hàng tháng',
  'Finance Report':'Báo cáo tài chính',
  'Created By': 'Trang chủ',
  'Language': 'Ngôn ngữ',
  'Korea': 'Hàn Quốc',

  //插件的国际化
  "Pull to refresh": "Kéo để làm mới",
  "Release ready": "Sẵn sàng phát hành",
  "Refreshing...": "Đang làm mới...",
  "Succeeded": "Thành công",
  "No more": "No more",
  "Failed": "Thất bại",
  "Last updated at %T": "Cập nhật lần cuối lúc",
  "Pull to load": "Kéo để tải",
  "Network Load Error": "Lỗi tải mạng",
  "Loading...": "Đang tải...",
  "Data loading failed! Please refresh and try again": "Tải dữ liệu không thành công! Vui lòng làm mới và thử lại",
  "There is currently no content available": "Hiện tại không có nội dung nào phù hợp",
  "Click again and exit the app": "Nhấp lại và thoát khỏi ứng dụng",
  "The login credential have expired, please log in again.": "Thông tin đăng nhập đã hết hạn, vui lòng đăng nhập lại.",
  "Successful": "Thành công",
};