import 'package:cpt_labour_sg/modules/job_list/job_list_page.dart';
import 'package:cpt_labour_sg/modules/job_title_list/job_title_list_page.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/labour_sg_service.dart';

import '../modules/labour_request_list/labour_request_list_page.dart';

class LabourSGServiceImpl extends GetxService implements LabourSGService {
  @override
  void onInit() {
    super.onInit();
    //初始化资源
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
  }

  @override
  void startLabourRequestPage() {
    LabourRequestListPage.startInstance();
  }

  @override
  void startJobTitlePage() {
    JobTitleListPage.startInstance();
  }

  @override
  void startJobListPage() {
    JobListPage.startInstance();
  }
}
