import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_applied_remark_view_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_applied_remark_view_s_g_entity.g.dart';

@JsonSerializable()
class JobAppliedRemarkViewSGEntity {
	@JSONField(name: "attitude_rate")
	double attitudeRate = 0;
	@JSONField(name: "grooming_rate")
	double groomingRate = 0;
	@JSONField(name: "performance_rate")
	double performanceRate = 0;
	@JSONField(name: "experience_rate")
	double experienceRate = 0;
	String? feedback = null;
	@JSONField(name: "applied_id")
	String? appliedId = null;
	@JSONField(name: "labourer_name")
	String? labourerName = null;
	String? disabled = null;

	JobAppliedRemarkViewSGEntity();

	factory JobAppliedRemarkViewSGEntity.fromJson(Map<String, dynamic> json) => $JobAppliedRemarkViewSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobAppliedRemarkViewSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}