import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_request_s_g_add_index_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_request_s_g_add_index_entity.g.dart';

@JsonSerializable()
class LabourRequestSGAddIndexEntity {
	@JSONField(name: "title_list")
	List<LabourRequestSGAddIndexOption> titleList = [];
	@JSONField(name: "outlet_list")
	List<LabourRequestSGAddIndexOption> outletList = [];
	@JSONField(name: "request_type")
	List<LabourRequestSGAddIndexOption> requestType = [];

	LabourRequestSGAddIndexEntity();

	factory LabourRequestSGAddIndexEntity.fromJson(Map<String, dynamic> json) => $LabourRequestSGAddIndexEntityFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestSGAddIndexEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourRequestSGAddIndexOption {
	String? value = null;
	String? txt = null;
	String? selected = null;

	LabourRequestSGAddIndexOption();

	factory LabourRequestSGAddIndexOption.fromJson(Map<String, dynamic> json) => $LabourRequestSGAddIndexOptionFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestSGAddIndexOptionToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}
