import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_request_s_g_list_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_request_s_g_list_entity.g.dart';

@JsonSerializable()
class LabourRequestSGListEntity {
	int? total;
	List<LabourRequestSGListRows>? rows = [];

	LabourRequestSGListEntity();

	factory LabourRequestSGListEntity.fromJson(Map<String, dynamic> json) => $LabourRequestSGListEntityFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestSGListEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourRequestSGListRows {
	@JSONField(name: "request_id")
	String? requestId;
	@JSONField(name: "outlet_name")
	String? outletName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "need_num")
	int? needNum;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "start_time")
	String? startTime;
	@JSONField(name: "end_time")
	String? endTime;
	String? status;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "action_list")
	List<String> actionList = [];

	LabourRequestSGListRows();

	factory LabourRequestSGListRows.fromJson(Map<String, dynamic> json) => $LabourRequestSGListRowsFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestSGListRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}