import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/staff_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/staff_detail_entity.g.dart';

@JsonSerializable()
class StaffDetailEntity {
	@JSONField(name: "member_id")
	int memberId = 0;
	String? name = null;
	String? avatar = null;
	String? sex = null;
	String? dob = null;
	String? nric = null;
	String? mobile = null;
	String? email = null;
	String? address = null;
	String? natl = null;
	String? lang = null;
	@JSONField(name: "emer_name")
	String? emerName = null;
	@JSONField(name: "emer_phone")
	String? emerPhone = null;
	@JSONField(name: "rem_num")
	int remNum = 0;
	@JSONField(name: "rem_rate")
	double remRate = 5.0;

	StaffDetailEntity();

	factory StaffDetailEntity.fromJson(Map<String, dynamic> json) => $StaffDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $StaffDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}