import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/response/labour_request_s_g_add_index_entity.dart';

LabourRequestSGAddIndexEntity $LabourRequestSGAddIndexEntityFromJson(Map<String, dynamic> json) {
  final LabourRequestSGAddIndexEntity labourRequestSGAddIndexEntity = LabourRequestSGAddIndexEntity();
  final List<LabourRequestSGAddIndexOption>? titleList = (json['title_list'] as List<dynamic>?)?.map(
          (e) => jsonConvert.convert<LabourRequestSGAddIndexOption>(e) as LabourRequestSGAddIndexOption).toList();
  if (titleList != null) {
    labourRequestSGAddIndexEntity.titleList = titleList;
  }
  final List<LabourRequestSGAddIndexOption>? outletList = (json['outlet_list'] as List<dynamic>?)?.map(
          (e) => jsonConvert.convert<LabourRequestSGAddIndexOption>(e) as LabourRequestSGAddIndexOption).toList();
  if (outletList != null) {
    labourRequestSGAddIndexEntity.outletList = outletList;
  }
  final List<LabourRequestSGAddIndexOption>? requestType = (json['request_type'] as List<dynamic>?)?.map(
          (e) => jsonConvert.convert<LabourRequestSGAddIndexOption>(e) as LabourRequestSGAddIndexOption).toList();
  if (requestType != null) {
    labourRequestSGAddIndexEntity.requestType = requestType;
  }
  return labourRequestSGAddIndexEntity;
}

Map<String, dynamic> $LabourRequestSGAddIndexEntityToJson(LabourRequestSGAddIndexEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['title_list'] = entity.titleList.map((v) => v.toJson()).toList();
  data['outlet_list'] = entity.outletList.map((v) => v.toJson()).toList();
  data['request_type'] = entity.requestType.map((v) => v.toJson()).toList();
  return data;
}

extension LabourRequestSGAddIndexEntityExtension on LabourRequestSGAddIndexEntity {
  LabourRequestSGAddIndexEntity copyWith({
    List<LabourRequestSGAddIndexOption>? titleList,
    List<LabourRequestSGAddIndexOption>? outletList,
    List<LabourRequestSGAddIndexOption>? requestType,
  }) {
    return LabourRequestSGAddIndexEntity()
      ..titleList = titleList ?? this.titleList
      ..outletList = outletList ?? this.outletList
      ..requestType = requestType ?? this.requestType;
  }
}

LabourRequestSGAddIndexOption $LabourRequestSGAddIndexOptionFromJson(Map<String, dynamic> json) {
  final LabourRequestSGAddIndexOption labourRequestSGAddIndexOption = LabourRequestSGAddIndexOption();
  final String? value = jsonConvert.convert<String>(json['value']);
  if (value != null) {
    labourRequestSGAddIndexOption.value = value;
  }
  final String? txt = jsonConvert.convert<String>(json['txt']);
  if (txt != null) {
    labourRequestSGAddIndexOption.txt = txt;
  }
  final String? selected = jsonConvert.convert<String>(json['selected']);
  if (selected != null) {
    labourRequestSGAddIndexOption.selected = selected;
  }
  return labourRequestSGAddIndexOption;
}

Map<String, dynamic> $LabourRequestSGAddIndexOptionToJson(LabourRequestSGAddIndexOption entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['value'] = entity.value;
  data['txt'] = entity.txt;
  data['selected'] = entity.selected;
  return data;
}

extension LabourRequestSGAddIndexOptionExtension on LabourRequestSGAddIndexOption {
  LabourRequestSGAddIndexOption copyWith({
    String? value,
    String? txt,
    String? selected,
  }) {
    return LabourRequestSGAddIndexOption()
      ..value = value ?? this.value
      ..txt = txt ?? this.txt
      ..selected = selected ?? this.selected;
  }
}