import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';
import '../modules/global_web_page.dart';
import '../modules/preview_photo_page.dart';

/*
 * 当前组件的路由配置，全局公共的页面
 */
class BasicPageRouter {

  static final routes = [

    //全局公用的图片预览
    GetPage(
      name: RouterPath.previewImage,
      page: () => PreviewPhotoPage(),
      transition: Transition.noTransition,
    ),


    //全局公用的WebView
    GetPage(
      name: RouterPath.globalWeb,
      page: () => GlobalWebPage(key: UniqueKey()),
    ),
  ];
}
