const Map<String, String> en_US = {
  'YY Employer': 'YY Employer',
  'Please enter your password': 'Please enter your password',
  'The login code cannot be empty!': 'The login code cannot be empty!',
  'The password cannot be empty!': 'The password cannot be empty!',
  'The new password cannot be empty!': 'The new password cannot be empty!',
  'Log in': 'Log in',
  'Password': 'Password',
  'Email': 'Email',
  'Name/Mobile': 'Name/Mobile',
  'Check In': 'Check In',
  'Check Out': 'Check Out',
  'Job Date': 'Job Date',
  'Start Time:': 'Start Time:',
  'End Time:': 'End Time:',
  'Start Time': 'Start Time',
  'End Time': 'End Time',
  'Name:': 'Name:',
  'Reset': 'Reset',
  'Start Date': 'Start Date',
  'End Date': 'End Date',
  'Cancel': 'Cancel',
  'Confirm': 'Confirm',
  'Sign Here': 'Sign Here',
  'Clean': 'Clean',
  'Vietnam': 'Vietnam',
  'Sign in/Sign out': 'Sign in/Sign out',
  'Admin': 'Admin',
  'Don’t have an account?': 'Don’t have an account?',
  'Sign up': 'Sign up',
  'Confirm Password': 'Confirm Password',
  'Please enter your email': 'Please enter your email',
  'Please enter confirm password': 'Please enter confirm password',
  'Submit': 'Submit',
  'The email cannot be empty!': 'The email cannot be empty!',
  'The confirm password cannot be empty!': 'The confirm password cannot be empty!',
  'Please confirm your confirmed password!': 'Please confirm your confirmed password!',
  'Reset Password': 'Reset Password',
  'New Password': 'New Password',
  'Please enter your new password': 'Please enter your new password',
  'Labour Request': 'Labour Request',
  'Job List': 'Job List',
  'Sign in Sign out': 'Sign in Sign out',
  'Devices': 'Devices',
  'Labour Request Review': 'Labour Request Review',
  'Attendance Review': 'Attendance Review',
  'Default Job Title': 'Default Job Title',
  'Report': 'Report',
  'Confirmation': 'Confirmation',
  'Notice': 'Notice',
  'Are you sure you need to exit the system?': 'Are you sure you need to exit the system?',
  'Are you sure you want to deactivate your account? You will not be able to login into the app once you proceed with the request.':
      'Are you sure you want to deactivate your account? You will not be able to login into the app once you proceed with the request.',
  'Welcome': 'Welcome',
  'Switch Projects': 'Switch Projects',
  'Account Deactivation': 'Account Deactivation',
  'Logout': 'Logout',
  'Old Password': 'Old Password',
  'Settings': 'Settings',
  'Title': 'Title',
  'Create New Job Request': 'Create New Job Request',
  'Outlet': 'Outlet',
  'Status': 'Status',
  'Filter': 'Filter',
  'Edit': 'Edit',
  'Recall': 'Recall',
  'Detail': 'Detail',
  'Outlet:': 'Outlet:',
  'DateTime:': 'DateTime:',
  'No. of Staff:': 'No. of Staff:',
  'Status:': 'Status:',
  'Publish Status:': 'Publish Status:',
  'Created At:': 'Created At:',
  'Published': 'Published',
  'Unpublished': 'Unpublished',
  'Choose Outlet': 'Choose Outlet',
  'Choose Status': 'Choose Status',
  'Choose Job Title': 'Choose Job Title',
  'Job Title': 'Job Title',
  'Job Start Time': 'Job Start Time',
  'Job End Time': 'Job End Time',
  'No. of Staff': 'No. of Staff',
  'Enter No. of Staff': 'Enter No. of Staff',
  'Choose Start Date': 'Choose Start Date',
  'Choose End Date': 'Choose End Date',
  'Add Labour Requisition': 'Add Labour Requisition',
  'Edit Labour Requisition': 'Edit Labour Requisition',
  'Labour Requisition': 'Labour Requisition',
  'Message': 'Message',
  'Are you sure you want to recall?': 'Are you sure you want to recall?',
  'Workflow': 'Workflow',
  'Remark:': 'Remark:',
  'Audit Time:': 'Audit Time:',
  'Operator:': 'Operator:',
  'Designation:': 'Designation:',
  'Type:': 'Type:',
  'Node:': 'Node:',
  'Approved': 'Approved',
  'Pending': 'Pending',
  'Rejected': 'Rejected',
  'Completed': 'Completed',
  'Active': 'Active',
  'Cancelled': 'Cancelled',
  'Revised': 'Revised',
  'Job Detail': 'Job Detail',
  'Add Staff': 'Add Staff',
  'Remarks': 'Remarks',
  'Applied At:': 'Applied At:',
  'Total Rooms:': 'Total Rooms:',
  'Total Hours:': 'Total Hours:',
  '+/- Hours:': '+/- Hours:',
  'Security Out:': 'Security Out:',
  'Work Out:': 'Work Out:',
  'Work In:': 'Work In:',
  'Security In:': 'Security In:',
  'Staff Name:': 'Staff Name:',
  'Staff Name': 'Staff Name',
  'Work Out': 'Work Out',
  'Work In': 'Work In',
  'Security In': 'Security In',
  'Security Out': 'Security Out',
  '+/- Hours': '+/- Hours',
  'Total Rooms': 'Total Rooms',
  'Operation Approve': 'Operation Approve',
  'Batch Modify': 'Batch Modify',
  'Please select the applied record': 'Please select the applied record',
  'Are you sure you want to setting approved?': 'Are you sure you want to setting approved?',
  'Attitude': 'Attitude',
  'Performance': 'Performance',
  'Experience': 'Experience',
  'Grooming': 'Grooming',
  'Enter...': 'Enter...',
  'Please Enter Remark': 'Please Enter Remark',
  'Choose Staff': 'Choose Staff',
  'Reason': 'Reason',
  'None': 'None',
  'Forgot to clock in/out': 'Forgot to clock in/out',
  'Technical issue': 'Technical issue',
  'Others': 'Others',
  'Staff Detail': 'Staff Detail',
  'Staff Name/ID/Phone': 'Staff Name/ID/Phone',
  'Select Country': 'Select Country',
  'Browse jobs available in your selected country.': 'Browse jobs available in your selected country.',
  'Next': 'Next',
  'Singapore': 'Singapore',
  'Revise List': 'Revise List',
  'Device List': 'Device List',
  'Device MAC:': 'Device MAC:',
  'Device Alias:': 'Device Alias:',
  'Location:': 'Location:',
  'Alive State:': 'Alive State:',
  'Offline': 'Offline',
  'Online': 'Online',
  'Sort': 'Sort',
  'Template': 'Template',
  'Updated At': 'Updated At',
  'Add New': 'Add New',
  'Template Setting': 'Template Setting',
  'Enter Job Title': 'Enter Job Title',
  'Template Name': 'Template Name',
  'Contact': 'Contact',
  'Note': 'Note',
  'Delete': 'Delete',
  'Are you sure you want to delete this job title?': 'Are you sure you want to delete this job title?',
  'Are you sure you want to delete this job template?': 'Are you sure you want to delete this job template?',
  'Age': 'Age',
  'Gender': 'Gender',
  'Preferred Language': 'Preferred Language',
  'Food Hygiene Cert': 'Food Hygiene Cert',
  'Yes': 'Yes',
  'No': 'No',
  'Description': 'Description',
  'Contact No': 'Contact No',
  'Create Template': 'Create Template',
  'Edit Template': 'Edit Template',
  'Both': 'Both',
  'Male': 'Male',
  'Female': 'Female',
  'English': 'English',
  'Chinese': 'Chinese',
  'Malay': 'Malay',
  'Tamil': 'Tamil',
  'Hindi': 'Hindi',
  'Select Job Title': 'Select Job Title',
  'Select Job Start Time': 'Select Job Start Time',
  'Select Job End Time': 'Select Job End Time',
  'Enter No. of Staff of The Corresponding Gender': 'Enter No. of Staff of The Corresponding Gender',
  'Select Date': 'Select Date',
  'Date': 'Date',
  'Job Time': 'Job Time',
  'Repeat': 'Repeat',
  'Repeat Start Time': 'Repeat Start Time',
  'Repeat End Time': 'Repeat End Time',
  'Gender Unlimited': 'Gender Unlimited',
  'Gender Limited': 'Gender Limited',
  'Needs Num': 'Needs Num',
  'Request Type': 'Request Type',
  'Remark': 'Remark',
  'Are you sure you want to cancel this job?': 'Are you sure you want to cancel this job?',
  'Are you sure you want to delete this job?': 'Are you sure you want to delete this job?',
  'Are you sure you want to confirm this job?': 'Are you sure you want to confirm this job?',
  'Create New Job': 'Create New Job',
  'Search': 'Search',
  'Send E-Attendance': 'Send E-Attendance',
  'Nric': 'Nric',
  'Name / Nric': 'Name / Nric',
  'Add Staff - Choose Staff': 'Add Staff - Choose Staff',
  'Are you sure you want to send the e-attendance to agency?': 'Are you sure you want to send the e-attendance to agency?',
  'Work Clock In': 'Work Clock In',
  'Work Clock Out': 'Work Clock Out',
  'Security Clock In': 'Security Clock In',
  'Security Clock Out': 'Security Clock Out',
  'Applied': 'Applied',
  'No Show': 'No Show',
  'Modify': 'Modify',
  'Subtract Hours': 'Subtract Hours',
  'Hourly Rate': 'Hourly Rate',
  'Reviews': 'Reviews',
  'Mobile': 'Mobile',
  'Staff Reviews': 'Staff Reviews',
  'Revise Hours': 'Revise Hours',
  'Are you sure you want to recall this revise?': 'Are you sure you want to recall this revise?',
  'Are you sure you want to delete this revise?': 'Are you sure you want to delete this revise?',
  'Logs': 'Logs',
  'Date Time': 'Date Time',
  'Action': 'Action',
  'Content': 'Content',
  'Revise': 'Revise',
  'Add Revise': 'Add Revise',
  'Edit Revise': 'Edit Revise',
  'Incomplete': 'Incomplete',
  'Completed + Incomplete': 'Completed + Incomplete',
  'YY Casual Labour Report': 'YY Casual Labour Report',
  'TotalAmt': 'TotalAmt',
  'Hours': 'Hours',
  'Monthly Staff Request Report': 'Monthly Staff Request Report',
  'Finance Report': 'Finance Report',
  'Created By': 'Created By',
  'Language': 'Language',
  'Korea': 'Korea',

  //插件的国际化
  'Pull to refresh': 'Pull to refresh',
  'Release ready': 'Release ready',
  'Refreshing...': 'Refreshing...',
  'Succeeded': 'Succeeded',
  'No more': 'No more',
  'Failed': 'Failed',
  'Last updated at %T': 'Last updated at %T',
  'Pull to load': 'Pull to load',
  'Network Load Error': 'Network Load Error',
  'Loading...': 'Loading...',
  'Data loading failed! Please refresh and try again': 'Data loading failed! Please refresh and try again',
  'There is currently no content available': 'There is currently no content available',
  'Click again and exit the app': 'Click again and exit the app',
  'The login credential have expired, please log in again.': 'The login credentials have expired, please log in again.',
  'Successful': 'Successful',
};
