import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'en_US.dart';
import 'vi_VN.dart';
import 'zh_CN.dart';
import 'ko_KR.dart';

class TranslationService extends Translations {
  static Locale? get locale => Get.deviceLocale;
  static const fallbackLocale = Locale('en', 'US');

  @override
  Map<String, Map<String, String>> get keys => {
        'en_US': en_US,
        'zh_CN': zh_CN,
        'vi_VN': vi_VN,
        'ko_KR': ko_KR,
      };
}
