const Map<String, String> zh_CN = {
  'YY Employer': 'YY Employer',
  'Please enter your password': '请输入您的密码',
  'The login code cannot be empty!': '登录账号不能为空！',
  'The password cannot be empty!': '密码不能为空！',
  'The new password cannot be empty!': '新密码不能为空!',
  'Log in': '登录',
  'Password': '密码',
  'Email': '邮箱',
  'Name/Mobile': '请输入姓名或电话',
  'Check In': '签到',
  'Check Out': '签出',
  'Job Date': '工作日期',
  'Start Time:': '开始时间:',
  'End Time:': '结束时间:',
  'Start Time': '开始时间',
  'End Time': '结束时间',
  'Name:': '姓名:',
  'Reset': '重置',
  'Start Date': '开始日期',
  'End Date': '结束日期',
  'Cancel': '取消',
  'Confirm': '确认',
  'Sign Here': '请在此签名',
  'Clean': '清除',
  'Vietnam': '越南',
  'Sign in/Sign out': '签到/签出',
  'Admin': '管理员',
  'Don’t have an account?': '没有账号？',
  'Sign up': '注册账号',
  'Confirm Password': '确认密码',
  'Please enter your email': '请输入您的邮箱',
  'Please enter confirm password': '请输入确认密码',
  'Submit': '提交',
  'The email cannot be empty!': '邮箱不能为空！',
  'The confirm password cannot be empty!': '确认密码不能为空！',
  'Please confirm your confirmed password!': '请确认您的确认密码！',
  'Reset Password': '重置密码',
  'New Password': '新密码',
  'Please enter your new password': '请输入您的新密码',
  'Labour Request': '用工申请',
  'Job List': '工作列表',
  'Sign in Sign out': '签到与签出',
  'Devices': '设备',
  'Labour Request Review': '用工申请审核',
  'Attendance Review': '考勤审核',
  'Default Job Title': '用工申请模版',
  'Report': '报表',
  'Confirmation': '确认',
  'Notice': '提示',
  'Are you sure you need to exit the system?': '你是否确定要退出系统？',
  'Are you sure you want to deactivate your account? You will not be able to login into the app once you proceed with the request.':
  '你确定要停用你的帐户吗？一旦您继续请求，您将无法登录到该应用程序。',
  'Welcome': '欢迎你',
  'Switch Projects': '切换项目',
  'Account Deactivation': '停用账户',
  'Logout': '登出',
  'Old Password': '旧密码',
  'Settings': '设置',
  'Title': '标题',
  'Create New Job Request': '创建新的用工请求',
  'Outlet': '部门',
  'Status': '状态',
  'Filter': '筛选',
  'Edit': '编辑',
  'Recall': '撤回',
  'Detail': '详情',
  'Outlet:': '部门：',
  'DateTime:': '日期与时间：',
  'No. of Staff:': '需要的人员数量：',
  'Status:': '状态：',
  'Publish Status:': '发布状态：',
  'Created At:': '创建时间：',
  'Published': '已发布',
  'Unpublished': '未发布',
  'Choose Outlet': '请选择部门',
  'Choose Status': '请选择状态',
  'Choose Job Title': '请选择工作标题',
  'Job Title': '工作标题',
  'Job Start Time': '工作开始时间',
  'Job End Time': '工作结束时间',
  'No. of Staff': '需要的人员数量',
  'Enter No. of Staff': '请输入需要的人员数量',
  'Choose Start Date': '请选择开始日期',
  'Choose End Date': '请选择结束日期',
  'Add Labour Requisition': '新增用工请求',
  'Edit Labour Requisition': '编辑用工请求',
  'Labour Requisition': '用工请求',
  'Message': '通知',
  'Are you sure you want to recall?': '你确定要撤回此用工请求吗？',
  'Workflow': '审核流程',
  'Remark:': '评价:',
  'Audit Time:': '审核时间:',
  'Operator:': '操作人员:',
  'Designation:': '职位:',
  'Type:': '类型:',
  'Node:': '节点:',
  'Approved': '已批准',
  'Pending': '待处理',
  'Rejected': '已拒绝',
  'Completed': '已完成',
  'Active': '可用',
  'Cancelled': '已取消',
  'Revised': '已修改',
  'Job Detail': '工作详情',
  'Add Staff': '添加员工',
  'Remarks': '评论',
  'Applied At:': '申请时间:',
  'Total Rooms:': '总房间数:',
  'Total Hours:': '总小时:',
  '+/- Hours:': '加/减小时:',
  'Security Out:': '门卫签出:',
  'Work Out:': '工作地签出:',
  'Work In:': '工作地签到:',
  'Security In:': '门卫签到:',
  'Staff Name:': '员工姓名:',
  'Staff Name': '员工姓名',
  'Work Out': '工作地签出',
  'Work In': '工作地签到',
  'Security In': '门卫签到',
  'Security Out': '门卫签出',
  '+/- Hours': '加/减小时',
  'Total Rooms': '总房间数',
  'Operation Approve': '操作批准',
  'Batch Modify': '批量修改',
  'Please select the applied record': '请选择申请记录',
  'Are you sure you want to setting approved?': '你确定要设置为批准状态吗？',
  'Attitude': '态度',
  'Performance': '表现',
  'Experience': '经验',
  'Grooming': '着装',
  'Enter...': '请输入...',
  'Please Enter Remark': '请输入评论内容',
  'Choose Staff': '选择员工',
  'Reason': '理由',
  'None': '无',
  'Forgot to clock in/out': '忘记签到/签出',
  'Technical issue': '技术问题',
  'Others': '其他',
  'Staff Detail': '员工详情',
  'Staff Name/ID/Phone': '员工姓名/ID/电话号码',
  'Select Country': '选择国家',
  'Browse jobs available in your selected country.': '浏览所选国家/地区的可用工作',
  'Next': '下一步',
  'Singapore': '新加坡',
  'Revise List': '修改列表',
  'Device List': '设备列表',
  'Device MAC:': '设备Mac地址:',
  'Device Alias:': '设备别名:',
  'Location:': '位置:',
  'Alive State:': '在线状态:',
  'Offline': '离线',
  'Online': '在线',
  'Sort': '排序',
  'Template': '模板',
  'Updated At': '更新时间',
  'Add New': '新增',
  'Template Setting': '模板设置',
  'Enter Job Title': '请输入工作标题',
  'Template Name': '模板名称',
  'Contact': '联系人',
  'Note': '注意事项',
  'Delete': '删除',
  'Are you sure you want to delete this job title?': '你确定要删除此工作标题吗？',
  'Are you sure you want to delete this job template?': '你确定要删除此工作模板吗?',
  'Age': '年龄',
  'Gender': '性别',
  'Preferred Language': '首选语言',
  'Food Hygiene Cert': '食品卫生证书',
  'Yes': '是',
  'No': '否',
  'Description': '详情',
  'Contact No': '联系电话',
  'Create Template': '创建模板',
  'Edit Template': '编辑模板',
  'Both': '全部',
  'Male': '男',
  'Female': '女',
  'English': '英文',
  'Chinese': '中文',
  'Malay': '马来语',
  'Tamil': '泰米尔语',
  'Hindi': '印地语',
  'Select Job Title': '请选择工作标题',
  'Select Job Start Time': '请选择工作开始时间',
  'Select Job End Time': '请选择工作结束时间',
  'Enter No. of Staff of The Corresponding Gender': '输入需要对应性别的员工数量',
  'Select Date': '选择日期',
  'Date': '日期',
  'Job Time': '工作时间',
  'Repeat': '重复',
  'Repeat Start Time': '重复的开始时间',
  'Repeat End Time': '重复的结束时间',
  'Gender Unlimited': '不限制性别',
  'Gender Limited': '限制性别',
  'Needs Num': '需要的数量',
  'Request Type': '请求类型',
  'Remark': '备注',
  'Are you sure you want to cancel this job?': '你确定要取消此工作吗?',
  'Are you sure you want to delete this job?': '你确定要删除此工作吗?',
  'Are you sure you want to confirm this job?': '你确定要完成此工作吗?',
  'Create New Job': '创建新工作',
  'Search': '搜索',
  'Send E-Attendance': '发送电子考勤',
  'Nric': '身份证',
  'Name / Nric': '姓名 / 身份证',
  'Add Staff - Choose Staff': '添加员工 - 选择员工',
  'Are you sure you want to send the e-attendance to agency?': '您确定要将电子考勤发送给代理商吗？',
  'Work Clock In': '工作地签到',
  'Work Clock Out': '工作地签出',
  'Security Clock In': '门卫签到',
  'Security Clock Out': '门卫签出',
  'Applied': '已通过',
  'No Show': '缺席',
  'Modify': '修改',
  'Subtract Hours': '扣除小时',
  'Hourly Rate': '时薪',
  'Reviews': '评价',
  'Mobile': '电话',
  'Staff Reviews': '员工评价',
  'Revise Hours': '修改的小时',
  'Are you sure you want to recall this revise?': '你确定要撤回此修改记录吗?',
  'Are you sure you want to delete this revise?': '你确定要删除此修改记录吗?',
  'Logs': '日志',
  'Date Time': '日期时间',
  'Action': '事件',
  'Content': '内容',
  'Revise': '修改',
  'Add Revise': '添加修改',
  'Edit Revise': '编辑修改',
  'Incomplete': '未完成',
  'Completed + Incomplete': '已完成 + 未完成',
  'YY Casual Labour Report': 'YY用工报表',
  'TotalAmt': '总金额',
  'Hours': '小时',
  'Monthly Staff Request Report': '月度员工请求报表',
  'Finance Report': '财务报表',
  'Created By': '创建者',
  'Language': '语言',
  'Korea': '韩国',

  //插件的国际化
  'Pull to refresh': '下拉刷新',
  'Release ready': '释放刷新',
  'Refreshing...': '刷新中...',
  'Succeeded': '成功',
  'No more': '没有更多了',
  'Failed': '失败',
  'Last updated at %T': '最近更新于 %T',
  'Pull to load': '上拉加载',
  'Network Load Error': '网络加载错误',
  'Loading...': '加载中...',
  'Data loading failed! Please refresh and try again': '数据加载失败！请刷新并重试',
  'There is currently no content available': '当前没有可用数据',
  'Click again and exit the app': '再次点击，退出应用',
  'The login credential have expired, please log in again.': '您的登录凭证已过期，请重新登录。',
  'Successful': '成功',
};